echo off
rem File: SWAP.BAT
rem   by: JACK SACKETT
rem (c) Copyright 1989
rem
if x%1==x goto help
if %1==swap.bat goto fail3
if %1==SWAP.BAT goto fail3
if x%2==x goto help
if %2==swap.bat goto fail3
if %2==SWAP.BAT goto fail3
if %1==%2 goto fail1
if not exist %1 goto fail2
if not exist %2 goto fail2
rename %1 xchng.tmp
rename %2 %1
rename xchng.tmp %2
goto end
:help
echo ͻ
echo                                   SWAP.BAT                                  
echo                     (c) Copyright 1989 by Jack Sackett                      
echo   SWAP is a batch file that exchanges the names of the two files specified  
echo   on the command line.  Put SWAP in a directory which is included in your   
echo   path statement so DOS can find it.  Make the directory where the two      
echo   files you want to SWAP are located your default directory and type:       
echo                                                                             
echo   SWAP filename1 filename2                                                  
echo                                                                             
echo   Some rules must be followed when using swap.  You must always specify 2   
echo   filenames on the command line, both files must exist in the current       
echo   directory, and the filenames must be different.                           
echo                                                                             
echo   For instance, if you have two copies of your Autoexec file in a directory 
echo   called c:\bat with different extensions such as Autoexec.bat and another  
echo   called Autoexec.alt you would follow these steps:                         
echo                                                                             
echo   cd \bat                                                                   
echo   SWAP autoexec.bat autoexec.alt                                            
echo                                                                             
echo   SWAP will exchange the filenames for you and report success or failure.   
echo ͼ
goto tryagain
:fail1
echo [0m[2J[0;37;44m[9;11H
echo [8;11Hͻ
echo [9;69H[10;69H[11;69H
echo [12;69H[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D
echo [12;55H[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D
echo [12;41H[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D
echo [12;27H[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D
echo [12;13H[2D[2D[11;11H[10;11H
echo [10;12H
echo [0;5;34;41m[9;31H  SWAP has Failed!  [0;1;36;44m
echo [11;12H               Filenames must be different!              [11;69H
echo [0;34;41m
echo [9;68H[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D
echo [9;56H[2D[2D[2D[2D[2D[9;12H
echo [0;1;36;44m[0m[23;1H
goto tryagain
:fail2
echo [0m[2J[0;37;44m[9;11H
echo [8;11Hͻ
echo [9;69H[10;69H[11;69H
echo [12;69H[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D
echo [12;55H[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D
echo [12;41H[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D
echo [12;27H[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D
echo [12;13H[2D[2D[11;11H[10;11H
echo [10;12H
echo [0;5;34;41m[9;31H  SWAP has Failed!  [0;1;36;44m
echo [11;12H                   File does not exist!                  [11;69H
echo [0;34;41m
echo [9;68H[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D
echo [9;56H[2D[2D[2D[2D[2D[9;12H
echo [0;1;36;44m[0m[23;1H
goto tryagain
:fail3
echo [0m[2J[0;37;44m[9;11H
echo [8;11Hͻ
echo [9;69H[10;69H[11;69H
echo [12;69H[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D
echo [12;55H[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D
echo [12;41H[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D
echo [12;27H[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D
echo [12;13H[2D[2D[11;11H[10;11H
echo [10;12H
echo [0;5;34;41m[9;31H  SWAP has Failed!  [0;1;36;44m
echo [11;12H                  Cannot SWAP swap.bat!                  [11;69H
echo [0;34;41m
echo [9;68H[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D
echo [9;56H[2D[2D[2D[2D[2D[9;12H
echo [0;1;36;44m[0m[23;1H
goto tryagain
:end
echo [0m[2J[0;37;44m[9;11H
echo [8;11Hͻ
echo [9;69H[10;69H[11;69H
echo [12;69H[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D
echo [12;55H[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D
echo [12;41H[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D
echo [12;27H[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D
echo [12;13H[2D[2D[11;11H[10;11H
echo [10;12H
echo [0;5;34;41m[9;31H  SWAP successful!  [0;1;36;44m
echo [11;12H             Filenames have been exchanged!              [11;69H
echo [0;34;41m
echo [9;68H[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D[2D
echo [9;56H[2D[2D[2D[2D[2D[9;12H
echo [0;1;36;44m[0m[23;1H
:tryagain
